commit 53d97efad03453b0fff5a941170db6b7abdb2083
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Fri Sep 30 11:23:32 2022 +0300

    Disable pma on M1 mac. At least for now.

diff --git a/m4/ChangeLog b/m4/ChangeLog
index 705d8375..6a7f944b 100644
--- a/m4/ChangeLog
+++ b/m4/ChangeLog
@@ -1,3 +1,8 @@
+2022-09-30         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* pma.m4: Disable pma on M1 mac. It doesn't work there. We hope
+	that this is just temporary.
+
 2022-09-21         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* pma.m4: Allow FreeBSD 13 and OpenBSD 7.
diff --git a/m4/pma.m4 b/m4/pma.m4
index 0a8afef9..080713e1 100644
--- a/m4/pma.m4
+++ b/m4/pma.m4
@@ -24,8 +24,18 @@ then
 				export LDFLAGS])
 			;;
 		*darwin*)
-			LDFLAGS="${LDFLAGS} -Xlinker -no_pie"
-			export LDFLAGS
+			# 30 September 2022: PMA works on Intel but not
+			# on M1, disable it, until it gets fixed
+			case $host in
+			x86_64-*)
+				LDFLAGS="${LDFLAGS} -Xlinker -no_pie"
+				export LDFLAGS
+				;;
+			*)
+				# aarch64-*
+				use_persistent_malloc=no
+				;;
+			esac
 			;;
 		*cygwin* | *CYGWIN* | *solaris2.11* | freebsd13.* | openbsd7.* )
 			true	# nothing do, exes on these systems are not PIE

